# Created by pyp2rpm-3.3.2
%global pypi_name backports.os

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        %mkrel 10
Summary:        Backport of new features in Python's os module
Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/pjdelport/backports.os
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
# for tests
BuildRequires:  python3dist(future)

%description
This package provides backports of new features in Python's os_ module
under the backports_ namespace.

%package -n     python3-%{pypi_name}
Summary:        Backport of new features in Python's os module
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides backports of new features in Python's os_ module
under the backports_ namespace.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
rm -fr %{buildroot}/%{python3_sitelib}/backports/{__init__.py*,__pycache__}

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/backports
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 0.1.1-10.mga9
+ Revision: 1824793
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.1.1-9.mga9
+ Revision: 1779144
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.1.1-8.mga9
+ Revision: 1707865
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.1-7.mga8
+ Revision: 1532686
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.1.1-6.mga8
+ Revision: 1442598
- really rebuild for python3.8

* Sun Sep 15 2019 tv <tv> 0.1.1-5.mga8
+ Revision: 1441175
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 0.1.1-4.mga7
+ Revision: 1351443
- fix conflicts

* Mon Jan 07 2019 shlomif <shlomif> 0.1.1-3.mga7
+ Revision: 1351421
- fix conflicts

* Mon Jan 07 2019 shlomif <shlomif> 0.1.1-2.mga7
+ Revision: 1351129
- Rebuild for python3 3.7

* Sat Dec 01 2018 wally <wally> 0.1.1-1.mga7
+ Revision: 1337145
- imported package python-backports.os

